#!/usr/bin/env bash

DeleteFilesFrom() {
    rm -rf "$1/com.nordsec.nordpass.json" "$1/nordpass" "$1/nordpass*.sqlite" "$1/nordpass-logs" > /dev/null 2>&1 || true
}

set -e

if [[ "$(uname -s)" = "Darwin" ]]; then
    # chrome
    DeleteFilesFrom ~/Library/Application\ Support/Google/Chrome/NativeMessagingHosts
    DeleteFilesFrom /Library/Google/Chrome/NativeMessagingHosts

    # chromium
    DeleteFilesFrom ~/Library/Application\ Support/Chromium/NativeMessagingHosts
    DeleteFilesFrom /Library/Application\ Support/Chromium/NativeMessagingHosts

    # brave
    DeleteFilesFrom ~/Library/Application\ Support/BraveSoftware/Brave-Browser/NativeMessagingHosts
    DeleteFilesFrom /Library/Application\ Support/BraveSoftware/Brave-Browser/NativeMessagingHosts

    # vivaldi
    DeleteFilesFrom ~/Library/Application\ Support/Vivaldi/vivaldi/NativeMessagingHosts
    DeleteFilesFrom /Library/Application\ Support/Vivaldi/vivaldi/NativeMessagingHosts

    # mozilla
    DeleteFilesFrom ~/Library/Application\ Support/Mozilla/NativeMessagingHosts
    DeleteFilesFrom /Library/Application\ Support/Mozilla/NativeMessagingHosts
else
    # chrome
    DeleteFilesFrom ~/.config/google-chrome/NativeMessagingHosts
    DeleteFilesFrom /etc/opt/chrome/native-messaging-hosts

    # chromium
    DeleteFilesFrom ~/.config/chromium/NativeMessagingHosts
    DeleteFilesFrom ~/snap/chromium/current/.config/chromium/NativeMessagingHosts
    DeleteFilesFrom /etc/chromium/native-messaging-hosts

    # brave
    DeleteFilesFrom ~/.config/BraveSoftware/Brave-Browser/NativeMessagingHosts

    # vivaldi
    DeleteFilesFrom ~/.config/vivaldi/NativeMessagingHosts

    # mozilla
    DeleteFilesFrom ~/.mozilla/native-messaging-hosts
    DeleteFilesFrom /usr/lib/mozilla/native-messaging-hosts
    DeleteFilesFrom /usr/lib64/mozilla/native-messaging-hosts
    DeleteFilesFrom /usr/share/mozilla/native-messaging-hosts
fi

green='\033[0;32m'
nc='\033[0m'
echo -e "${green}Uninstallation successful${nc}"
